Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class ElemTemplate

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode
            |
            +--weblogic.apache.xalan.templates.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.templates.ElemTemplate

Direct Known Subclasses:
  WhiteSpaceInfo

public class ElemTemplate
extends ElemTemplateElement

Implement xsl:template.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  section-Defining-Template-Rules in XSLT Specification, Serialized Form

Field Summary
`int` | `m_frameSize` The stack frame size for this template, which is equal to the maximum number of params and variables that can be declared in the template at one time.

Fields inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`m_docOrderNumber, m_hasVariableDecl, m_parentNode`

Constructor Summary
`ElemTemplate()`

Method Summary
`void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`void` | `endCompose(StylesheetRoot sroot)` This after the template's children have been composed.
`void` | `execute(TransformerImpl transformer)` Copy the template contents into the result tree.
`XPath` | `getMatch()` Get the "match" attribute.
`QName` | `getMode()` Get the "mode" attribute.
`QName` | `getName()` Get the "name" attribute.
`java.lang.String` | `getNodeName()` Return the node name.
`double` | `getPriority()` Get the "priority" attribute.
`java.lang.String` | `getPublicId()` Return the public identifier for the current document event.
`Stylesheet` | `getStylesheet()` Get the owning stylesheet.
`StylesheetComposed` | `getStylesheetComposed()` Get the stylesheet composed (resolves includes and imports and has methods on it that return "composed" properties.
`StylesheetRoot` | `getStylesheetRoot()` Get the root stylesheet.
`java.lang.String` | `getSystemId()` Return the system identifier for the current document event.
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`void` | `recompose(StylesheetRoot root)` This function is called during recomposition to control how this element is composed.
`void` | `setLocaterInfo(javax.xml.transform.SourceLocator locator)` Set the location information for this element.
`void` | `setMatch(XPath v)` Set the "match" attribute.
`void` | `setMode(QName v)` Set the "mode" attribute.
`void` | `setName(QName v)` Set the "name" attribute.
`void` | `setPriority(double v)` Set the "priority" attribute.
`void` | `setStylesheet(Stylesheet sheet)` Set the owning stylesheet.

Methods inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, error, error, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getTagName, getUid, getXmlSpace, hasChildNodes, hasTextLitOnly, hasVariableDecl, isCompiledTemplate, isValidNCName, item, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class weblogic.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getLocalName, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, getStandalone, getStrictErrorChecking, getVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, setVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_frameSize

    public int m_frameSize

  The stack frame size for this template, which is equal to the maximum number of params and variables that can be declared in the template at one time.

Constructor Detail

### ElemTemplate

    public ElemTemplate()

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Return the public identifier for the current document event.

  This will be the public identifier

  Returns:
    A string containing the public identifier, or null if none is available.
  Overrides:
    getPublicId in class ElemTemplateElement
  See Also:
    `getSystemId()`

### getSystemId

    public java.lang.String getSystemId()

  Return the system identifier for the current document event.

  If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

  Returns:
    A string containing the system identifier, or null if none is available.
  Overrides:
    getSystemId in class ElemTemplateElement
  See Also:
    `getPublicId()`

### setLocaterInfo

    public void setLocaterInfo(javax.xml.transform.SourceLocator locator)

  Set the location information for this element.

  Parameters:
    `locator` - SourceLocator holding location information
  Overrides:
    setLocaterInfo in class ElemTemplateElement

### getStylesheetComposed

    public StylesheetComposed getStylesheetComposed()

  Get the stylesheet composed (resolves includes and imports and has methods on it that return "composed" properties.

  Returns:
    The stylesheet composed.
  Overrides:
    getStylesheetComposed in class ElemTemplateElement

### getStylesheet

    public Stylesheet getStylesheet()

  Get the owning stylesheet.

  Returns:
    The owning stylesheet.
  Overrides:
    getStylesheet in class ElemTemplateElement

### setStylesheet

    public void setStylesheet(Stylesheet sheet)

  Set the owning stylesheet.

  Parameters:
    `sheet` - The owning stylesheet for this element

### getStylesheetRoot

    public StylesheetRoot getStylesheetRoot()

  Get the root stylesheet.

  Returns:
    The root stylesheet for this element
  Overrides:
    getStylesheetRoot in class ElemTemplateElement

### setMatch

    public void setMatch(XPath v)

  Set the "match" attribute. The match attribute is a Pattern that identifies the source node or nodes to which the rule applies. The match attribute is required unless the xsl:template element has a name attribute (see [6 Named Templates]). It is an error for the value of the match attribute to contain a VariableReference.

  Parameters:
    `v` - Value to set for the "match" attribute
  See Also:
    patterns in XSLT Specification

### getMatch

    public XPath getMatch()

  Get the "match" attribute. The match attribute is a Pattern that identifies the source node or nodes to which the rule applies. The match attribute is required unless the xsl:template element has a name attribute (see [6 Named Templates]). It is an error for the value of the match attribute to contain a VariableReference.

  Returns:
    Value of the "match" attribute
  See Also:
    patterns in XSLT Specification

### setName

    public void setName(QName v)

  Set the "name" attribute. An xsl:template element with a name attribute specifies a named template. If an xsl:template element has a name attribute, it may, but need not, also have a match attribute.

  Parameters:
    `v` - Value to set the "name" attribute
  See Also:
    named-templates in XSLT Specification

### getName

    public QName getName()

  Get the "name" attribute. An xsl:template element with a name attribute specifies a named template. If an xsl:template element has a name attribute, it may, but need not, also have a match attribute.

  Returns:
    Value of the "name" attribute
  See Also:
    named-templates in XSLT Specification

### setMode

    public void setMode(QName v)

  Set the "mode" attribute. Modes allow an element to be processed multiple times, each time producing a different result. If xsl:template does not have a match attribute, it must not have a mode attribute.

  Parameters:
    `v` - Value to set the "mode" attribute
  See Also:
    modes in XSLT Specification

### getMode

    public QName getMode()

  Get the "mode" attribute. Modes allow an element to be processed multiple times, each time producing a different result. If xsl:template does not have a match attribute, it must not have a mode attribute.

  Returns:
    Value of the "mode" attribute
  See Also:
    modes in XSLT Specification

### setPriority

    public void setPriority(double v)

  Set the "priority" attribute. The priority of a template rule is specified by the priority attribute on the template rule. The value of this must be a real number (positive or negative), matching the production Number with an optional leading minus sign (-).

  Parameters:
    `v` - The value to set for the "priority" attribute
  See Also:
    conflict in XSLT Specification

### getPriority

    public double getPriority()

  Get the "priority" attribute. The priority of a template rule is specified by the priority attribute on the template rule. The value of this must be a real number (positive or negative), matching the production Number with an optional leading minus sign (-).

  Returns:
    The value of the "priority" attribute
  See Also:
    conflict in XSLT Specification

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Returns:
    The token ID for the element
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.

  Returns:
    The element's name
  Overrides:
    getNodeName in class ElemTemplateElement

### compose

    public void compose(StylesheetRoot sroot)
                 throws javax.xml.transform.TransformerException

  This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.

  Overrides:
    compose in class ElemTemplateElement

### endCompose

    public void endCompose(StylesheetRoot sroot)
                    throws javax.xml.transform.TransformerException

  This after the template's children have been composed.

  Overrides:
    endCompose in class ElemTemplateElement

### execute

    public void execute(TransformerImpl transformer)
                 throws javax.xml.transform.TransformerException

  Copy the template contents into the result tree. The content of the xsl:template element is the template that is instantiated when the template rule is applied.

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `sourceNode` - non-null reference to the current source node.
    `mode` - reference, which may be null, to the current mode.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class ElemTemplateElement

### recompose

    public void recompose(StylesheetRoot root)

  This function is called during recomposition to control how this element is composed.

  Parameters:
    `root` - The root stylesheet for this transformation.
  Overrides:
    recompose in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference